$(function () {
    var obj = $(".evalustionlist_pj_li p");
    for(var i=0;i<obj.length;i++){
        var temp = obj[i];
        if(temp.innerHTML == null || temp.innerHTML == ''){
            temp.parentNode.classList="";
        }
    }
    function hideActionSheet() {
        $iosActionsheet.removeClass('weui-actionsheet_toggle');
        //解除列表滚动
        $("html,body").css({overflow: "auto", height: '100%'});
        $iosMask.fadeOut(200);
        $(document).on('scroll', onScroll);
    }

    $('.weui-actionsheet__cell').on('click', hideActionSheet);

    $(document).on('scroll', onScroll);

    // if("1" == $("#checkStatus").val()){
    //     $("#showPicker span").html("审核");
    // }else{
    //     $("#showPicker span").html("未审核");
    // }

});
var isLoading = false;
var page = 2;
var tmpPage;
var day = /*[[${day}]]*/ '1';
/*当前的index*/
var deleteIndex;
var checkStatus;
/*picker*/
$('#showPicker').on('click', function () {
    weui.picker([{
        label: '审核',
        value: 1
    }, {
        label: '未审核',
        value: 0
    }], {

        onConfirm: function (result) {
            $("#checkStatus").val(result[0].value)
            checkStatus = result[0].value;
            // $("#searchForm").submit({
            //     url: "/customer/evaluation",
            //     data: {'checkStatus': result[0].value},
            //     form: "searchForm",
            //     async: false,
            //     type: "get",
            //     success: function (data) {
            //         // $(".my-client").before(data);
            //         $("#showPicker").val(result[0].label)
            //     }
            // });
            // $("#searchForm").submit(function(data){
            //     $("#showPicker").val(result[0].label)
            // });
            $("#searchForm").submit();

        },
    });
});

/*审核和未审核切换*/
// $(".btn-changesh").on("click",function(){

    // if($(this).html()=='审核'){
    //     // $(this).html('审核');
    //
    // }else{
    //     $(this).html('已审核');
    //     $(this).style = "opacity: 0.2";
    // }
// });


/*否*/
$(".weui-dialog__btn_default").on("click",function(){
    $("#iosDialog1").css({"opacity":0,"display":"none"});
});
/*是*/
$(".weui-dialog__btn_primary").on("click",function(){

    $("#iosDialog1").css({"opacity":0,"display":"none"});
});

/**
 * When scrolled all the way to the bottom, add more tiles.
 */
function onScroll(event) {
    if (!isLoading) {
        var closeToBottom = ($(window).scrollTop() + $(window).height() > $(document).height() - 100);
        if (closeToBottom && page > 0) {

            var $loadingToast = $('#loadingToast');
            if ($loadingToast.css('display') != 'none') return;
            $loadingToast.fadeIn(100);
            loadData();
        }
    }
}

function loadData() {
    isLoading = true;
    $.ajax({
        url: "/customer/evaluationCell",
        data: {
            page: page,
            'checkStatus': $("#checkStatus").val(),
        },
        success: onLoadData
    });
}

function onLoadData(data) {
    // Increment page index for future calls.
    page++;

    // $(".visit-record___dd :last").after(data);
    $(".my-client :last").after(data);
    // Create HTML for the images.
    var html = '';
    var i = 0, length = data.length, image;
    if (!length || length <= 1) {
        tmpPage = page;
        page = -1;
    }
    isLoading = false;

    var $loadingToast = $('#loadingToast');
    $loadingToast.fadeOut(100);
}

function review(id){
    $.ajax({
        url: "/customer/review",
        type: "get",
        data: {
            evid: id
        },
        success: function(data){
            // $(".btn-changesh").html("已审核");
            if("success" == data){
                alert("已审核成功");
                var obj = $(id).val();
                // $(id).innerHTML("已审核");
                var obj = document.getElementById(id);
                obj.innerHTML="已审核"
                obj.style = "opacity: 0.2";
                obj.setAttribute("href", "javascript:return false;")
                obj.setAttribute("onclick", "javascript:return false;")
            }else{
                alert("审核失败");
            }
        }
    });
}
var isdel = false;
function passId(id){
    $("#delById").val(id);
    // $(".btn-del").on("click",function(){
        deleteIndex=$(this).index();
        $("#iosDialog1").css({"opacity":1,"display":"block"});
    // });
}

function delEvaluation(){
    var id = $("#delById").val();
    /*删除按钮*/
    // if(isdel){
    //     if(yesdel()){
            $.ajax({
                url: "/customer/delEvaluation",
                type: "get",
                data: {
                    evid: id
                },
                success: function(data){
                    if("success" == data){
                        alert("已删除成功");
                        window.location.reload();
                    }else{
                        alert("删除失败");
                    }
                }
            });
    //     }
    // }


}